package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.yf;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.yf.IYfManyCellMonitorService;
import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.station.yf.YfManyCellMonitorModuleService;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/7/12 9:59
 **/
@Service
public class YfManyCellMonitorService implements IYfManyCellMonitorService {

    @Autowired
    private YfManyCellMonitorModuleService manyCellMonitorModuleService;

    @Override
    public void doWritePlc(String organizeCode, String plcCode, String value) {
        StationRequestBean requestBean = new StationRequestBean();
        requestBean.setOrganizeCode(organizeCode);
        manyCellMonitorModuleService.doHandlePlcData(requestBean, 2, plcCode, value);
    }
}
